<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>Admin Panel</title>
    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="scripts/css/bootstrap.min.css" />

    <style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }
    </style>

    <!-- Custom styles for this template -->
    <link href="/admin.css" rel="stylesheet" />
  </head>
  <body style="background-color: rgb(248, 239, 224)">
    <main onmousemove="timeout()">
      <%- include ('sidebar.html'); %> <%- include('toast.html') %>
      <div id="readUser">
        <div>
          <% if(search!=undefined) { %> 
            <input type="text" name="search" id="search"  onkeyup="setTimeout(()=>{window.location.href='/readUser?search='+this.value},700)" >
          <% } else { %>
            <input type="text" name="search" id="search" placeholder="Search Username" onkeyup="setTimeout(()=>{window.location.href='/readUser?search='+this.value},700)">
          <% } %>

          <table class="table">
            <thead class="thead-dark">
              <tr>
                <th scope="col">User Name</th>
                <th scope="col">Place</th>
                <th scope="col">User Initials</th>
                <th scope="col">Count</th>
                <th scope="col" style="color: transparent;">Reset Button</th>
                <th scope="col" style="color: transparent;">Edit Button</th>
              </tr>
            </thead>
            <% for(let i = 0; i < rows.length; i++) { let obj = rows[i]; %>
            <tbody>
              <tr>
                <td><%= obj.username %></td>
                <td><%= obj.place %></td>
                <td><%= obj.userInitials %></td>
                <td><%= obj.count %></td>
                <td>
                  <button
                    onclick="window.location.href='/resetPassword/<%= obj.id %>'"
                    class="btn btn-secondary"
                  >
                    Reset Password 
                  </button>
                </td>
                <td>
                  <button
                    onclick="window.location.href='/editUser/<%= obj.id %>'"
                    class="btn btn-secondary"
                  >
                    Edit
                  </button>
                </td>
              </tr>
            </tbody>
            <% } %>
          </table>
        </div>
      </div>
    </main>

    <script>
      function closeAlert() {
        document.getElementsByClassName("alert")[0].style.display = "none";

        window.location.href="http://localhost:3000/readUser";
      }
      
      function timeout(){
        setTimeout(() => {
          closeAlert();
        }, 2500);
      }

      window.onload = setTimeout(onFocus, 0);

      function onFocus(){
        const url = window.location.href.toString().split("=")[1];
        if(url!=undefined){
          document.getElementById('search').value = url;
        }
        
        
        document.getElementById('search').focus();
      }
    </script>

    <script src="scripts/js/bootstrap.bundle.min.js"></script>
  </body>
</html>
